#pragma once
#include "constants.hpp"
#include <deque>
#include "graphics/textures.hpp"
#include <guecs/ui.hpp>
#include "gui/guecstra.hpp"

namespace gui {
  class BodyUI {
    public:
      guecs::UI $gui{};

      void init(size_t x, size_t y, size_t width, size_t height);
      void render(sf::RenderWindow &window);
      void update();
      bool mouse(float x, float y, guecs::Modifiers mods);
  };
}
